## tahoe-lafs 1.12.1

=== Makefile ===

# NOTE: this Makefile requires GNU make

default:
	@echo "no default target"

PYTHON=python
export PYTHON
PYFLAKES=pyflakes
export PYFLAKES

SOURCES=src/allmydata static misc setup.py
APPNAME=tahoe-lafs

# This is necessary only if you want to automatically produce a new
# _version.py file from the current git history (without doing a build).
.PHONY: make-version
make-version:
	$(PYTHON) ./setup.py update_version

.built:
	$(MAKE) build

src/allmydata/_version.py:
	$(MAKE) make-version

# Build OS X pkg packages.
.PHONY: build-osx-pkg test-osx-pkg upload-osx-pkg
build-osx-pkg:
	misc/build_helpers/build-osx-pkg.sh $(APPNAME)

test-osx-pkg:
	$(PYTHON) misc/build_helpers/test-osx-pkg.py

upload-osx-pkg:
	@echo "uploading to ~tahoe-tarballs/OS-X-packages/ via flappserver"
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
	  flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
	 else \
	  echo not uploading tahoe-lafs-osx-pkg because this is not trunk but is branch \"${BB_BRANCH}\" ; \
	fi

.PHONY: smoketest
smoketest:
	-python ./src/allmydata/test/check_magicfolder_smoke.py kill
	-rm -rf smoke_magicfolder/
	python ./src/allmydata/test/check_magicfolder_smoke.py

# code coverage-based testing is disabled temporarily, as we switch to tox.
# This will eventually be added to a tox environment. The following comments
# and variable settings are retained as notes for that future effort.

## # code coverage: install the "coverage" package from PyPI, do "make
## # test-coverage" to do a unit test run with coverage-gathering enabled, then
## # use "make coverage-output" to generate an HTML report. Also see "make
## # .coverage.el" and misc/coding_tools/coverage.el for Emacs integration.
##
## # This might need to be python-coverage on Debian-based distros.
## COVERAGE=coverage
##
## COVERAGEARGS=--branch --source=src/allmydata
##
## # --include appeared in coverage-3.4
## COVERAGE_OMIT=--include '$(CURDIR)/src/allmydata/*' --omit '$(CURDIR)/src/allmydata/test/*'


.PHONY: code-checks
#code-checks: build version-and-path check-interfaces check-miscaptures -find-trailing-spaces -check-umids pyflakes
code-checks: check-interfaces check-debugging check-miscaptures -find-trailing-spaces -check-umids pyflakes

.PHONY: check-interfaces
	$(PYTHON) misc/coding_tools/check-interfaces.py 2>&1 |tee violations.txt
	@echo

.PHONY: check-debugging
check-debugging:
	$(PYTHON) misc/coding_tools/check-debugging.py
	@echo

.PHONY: check-miscaptures
check-miscaptures:
	$(PYTHON) misc/coding_tools/check-miscaptures.py $(SOURCES) 2>&1 |tee miscaptures.txt
	@echo

.PHONY: pyflakes
pyflakes:
	$(PYFLAKES) $(SOURCES) |sort |uniq
	@echo

.PHONY: check-umids
check-umids:
	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: -check-umids
-check-umids:
	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: doc-checks
doc-checks: check-rst

.PHONY: check-rst
check-rst:
	@for x in `find *.rst docs -name "*.rst"`; do rst2html -v $${x} >/dev/null; done 2>&1 |grep -v 'Duplicate implicit target name:'
	@echo

.PHONY: count-lines
count-lines:
	@echo -n "files: "
	@find src -name '*.py' |grep -v /build/ |wc -l
	@echo -n "lines: "
	@cat `find src -name '*.py' |grep -v /build/` |wc -l
	@echo -n "TODO: "
	@grep TODO `find src -name '*.py' |grep -v /build/` | wc -l
	@echo -n "XXX: "
	@grep XXX `find src -name '*.py' |grep -v /build/` | wc -l


# Here is a list of testing tools that can be run with 'python' from a
# virtualenv in which Tahoe has been installed. There used to be Makefile
# targets for each, but the exact path to a suitable python is now up to the
# developer. But as a hint, after running 'tox', ./.tox/py27/bin/python will
# probably work.

# src/allmydata/test/bench_dirnode.py


# The check-speed and check-grid targets are disabled, since they depend upon
# the pre-located $(TAHOE) executable that was removed when we switched to
# tox. They will eventually be resurrected as dedicated tox environments.

# The check-speed target uses a pre-established client node to run a canned
# set of performance tests against a test network that is also
# pre-established (probably on a remote machine). Provide it with the path to
# a local directory where this client node has been created (and populated
# with the necessary FURLs of the test network). This target will start that
# client with the current code and then run the tests. Afterwards it will
# stop the client.
#
# The 'sleep 5' is in there to give the new client a chance to connect to its
# storageservers, since check_speed.py has no good way of doing that itself.

##.PHONY: check-speed
##check-speed: .built
##	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
##	@echo "stopping any leftover client code"
##	-$(TAHOE) stop $(TESTCLIENTDIR)
##	$(TAHOE) start $(TESTCLIENTDIR)
##	sleep 5
##	$(TAHOE) @src/allmydata/test/check_speed.py $(TESTCLIENTDIR)
##	$(TAHOE) stop $(TESTCLIENTDIR)

# The check-grid target also uses a pre-established client node, along with a
# long-term directory that contains some well-known files. See the docstring
# in src/allmydata/test/check_grid.py to see how to set this up.
##.PHONY: check-grid
##check-grid: .built
##	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
##	$(TAHOE) @src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe

.PHONY: test-get-ignore
test-git-ignore:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-git-ignore.py

.PHONY: test-clean
test-clean:
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
	$(MAKE)
	$(MAKE) distclean
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
	diff allfiles.tmp.old allfiles.tmp.new

# It would be nice if 'make clean' deleted any automatically-generated
# _version.py too, so that 'make clean; make all' could be useable as a
# "what the heck is going on, get me back to a clean state', but we need
# 'make clean' to work on non-checkout trees without destroying useful information.
# Use 'make distclean' instead to delete all generated files.
.PHONY: clean
clean:
	rm -rf build _trial_temp _test_memory .built
	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
	rm -rf support dist
	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
	rm -rf *.pyc
	rm -f bin/tahoe bin/tahoe.pyscript
	rm -f *.pkg

.PHONY: distclean
distclean: clean
	rm -rf src/*.egg-info
	rm -f src/allmydata/_version.py
	rm -f src/allmydata/_appname.py


.PHONY: find-trailing-spaces
find-trailing-spaces:
	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: -find-trailing-spaces
-find-trailing-spaces:
	-$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: fetch-and-unpack-deps
fetch-and-unpack-deps:
	@echo "test-and-unpack-deps is obsolete"

.PHONY: test-desert-island
test-desert-island:
	@echo "test-desert-island is obsolete"

.PHONY: test-pip-install
test-pip-install:
	@echo "test-pip-install is obsolete"

# TARBALL GENERATION
.PHONY: tarballs
tarballs:
	$(MAKE) make-version
	$(PYTHON) setup.py sdist --formats=bztar,gztar,zip bdist_wheel

.PHONY: upload-tarballs
upload-tarballs:
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tahoe-LAFS.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tahoe-LAFS.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Tahoe-LAFS"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Tahoe-LAFS"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
tahoe-lafs (1.12.1-5) unstable; urgency=medium

  * Use tracker team address in maintainers field.
    Closes: bug#899706, Thanks to Christoph Biedl.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Jun 2018 15:50:55 +0530

tahoe-lafs (1.12.1-4) unstable; urgency=medium

  * debian/control:
    + Use new salsa URL for Vcs-* fields.
    + Mark package compliance with Debian policy 4.1.3.
  * Bump compat to 10. CDBS does not work with 11 yet.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 25 Mar 2018 12:05:15 +0530

tahoe-lafs (1.12.1-3) experimental; urgency=medium

  * Take over the package maintenance.
    Closes: bug#859401. Thanks to Ramakrishnan for his contribution to the
    package.
  * debian/control:
    + Make package team maintained.
    + Add myself as uploader for the package.
    + Use secure URL for Vcs-* fields.
  * Convert packaging style to CDBS, making sure its compatible to earlier
    version.
  * debian/copyright:
    + Update copyright holder as Tahoe-LAFS Software foundation.
    + Add all exceptions given by upstream in COPYING.GPL.
    + Add copyright for Debian folder.
    + Drop unused PSF license text.
  * Add lintian overrides for License-Reference field added in copyright
  * Add lintian override for license name not unique lintian warning.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 11 Jun 2017 15:15:23 +0530

tahoe-lafs (1.12.1-2+build1) unstable; urgency=medium

  * QA upload.
  * Rebuild with current debhelper to fix malformed md5sums file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Oct 2017 06:51:41 +0200

tahoe-lafs (1.12.1-2) unstable; urgency=medium

  * Orphaning the package.

 -- Ramakrishnan Muthukrishnan <ram@rkrishnan.org>  Fri, 31 Mar 2017 14:55:33 +0530

tahoe-lafs (1.12.1-1) unstable; urgency=medium

  * New upstream release without the shutilwhich dependency
    and a few other nice bug fixes.
  * d/control:
      -remove python-shutilwhich dependency.
      - minimum foolscap version required is 0.12.6.
      - add the missing pycparser and cffi dependencies.
  * d/watch: fix the watch urls.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 19 Jan 2017 07:58:57 +0530

tahoe-lafs (1.12.0-1) unstable; urgency=medium

  * New upstream release (1.12.0).
  * d/control: add dependency of python-shutilwhich.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 22 Dec 2016 06:21:11 +0530

tahoe-lafs (1.11.0-3) unstable; urgency=medium

  * d/tahoe-lafs.init:
   - remove spurious '+' from a manual merge of a patch.
   - remove the call to log_progress_msg "\n".

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 02 Nov 2016 10:59:58 +0530

tahoe-lafs (1.11.0-2) unstable; urgency=medium

  * d/control: update twisted version to match src/allmydata/_auto_deps.py.
  * d/rules: remove the dh_prep overrides, which are not needed anymore.
  * d/tahoe-lafs.init:
     - when AUTOSTART is set to "none", don't start a node named "none".
     - when AUTOSTART lists a non-existing node, don't attempt to start it.
     - handle the case where the node is not owned by any existing user.
     Thanks to Sébastien Béhuret <sbehuret@gmail.com> for the patch.
    (Closes: #807208)
 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 02 Nov 2016 10:21:21 +0530

=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Tahoe Packaging Team <team+tahoe-team@tracker.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: cdbs,
 debhelper (>= 10~),
 dh-buildinfo,
 python,
 python-setuptools,
 python-twisted (>= 15.1.0),
 dh-python
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/vasudev/tahoe-lafs.git
Vcs-Browser: https://salsa.debian.org/vasudev/tahoe-lafs
Homepage: http://tahoe-lafs.org/trac/tahoe

Package: tahoe-lafs
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 ${cdbs:Depends}
Description: Secure distributed file store
 Tahoe, the Least Authority File Store, is a distributed filesystem that
 features high reliability, strong security properties, and a fine-grained
 sharing model. Files are encrypted, signed, erasure-coded, then distributed
 over multiple servers, such that any (configurable) subset of the servers
 will be sufficient to recover the data. The default 3-of-10 configuration
 tolerates up to 7 server failures before data becomes unrecoverable.
 .
 Tahoe offers "provider-independent security": the confidentiality and
 integrity of your data do not depend upon the behavior of the servers. The
 use of erasure-coding means that reliability and availability depend only
 upon a subset of the servers.
 .
 Tahoe files are accessed through a RESTful web API, a human-oriented web
 server interface, and CLI tools.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = tahoe-lafs

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Avoid unneeded build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-distutils_python =

# Build dependency for package
CDBS_BUILD_DEPENDS += , python-setuptools, python-twisted (>= 15.1.0), dh-python

package = tahoe-lafs

# Dependency for tahoe
CDBS_DEPENDS_$(package) = , python-pyasn1 (>= 0.1.4), python-crypto (>= 2.6)
CDBS_DEPENDS_$(package) += , python-foolscap (>= 0.12.6), python-openssl (>= 0.14)
CDBS_DEPENDS_$(package) += , python-nevow (>= 0.11.1), python-simplejson (>= 1.4)
CDBS_DEPENDS_$(package) += , python-zfec (>= 1.1.0), python-pycryptopp (>= 0.6.0)
CDBS_DEPENDS_$(package) += , python-setuptools, python-twisted (>= 15.1.0)
CDBS_DEPENDS_$(package) += , python-characteristic (>= 14.0.0), python-cffi (>= 1.7.0)
CDBS_DEPENDS_$(package) += , python-pycparser (>= 2.17), net-tools, lsb-base (>= 3.0-6)

# Do not install upstream install documentation
DEB_INSTALL_DOCS_DEFAULT = --exclude=INSTALL.rst

# Keep upstream NEWS symlinked
DEB_INSTALLCHANGELOGS_ARGS_$(package) = -k NEWS.rst

# Make munin plugins executable
binary-fixup/$(package):: debian/stamp-fix-munin-plugin-perms
debian/stamp-fix-munin-plugin-perms:
		chmod +x debian/tahoe-lafs/usr/share/munin/plugins/*
		touch $@
clean::
	rm -f debian/stamp-fix-munin-plugin-perms

## tahoe-lafs 1.17.0

=== Makefile ===
# Tahoe LFS Development and maintenance tasks
#
# NOTE: this Makefile requires GNU make

### Defensive settings for make:
#     https://tech.davis-hansson.com/p/make/
SHELL := bash
.ONESHELL:
.SHELLFLAGS := -xeu -o pipefail -c
.SILENT:
.DELETE_ON_ERROR:
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules

# Local target variables
PYTHON=python
export PYTHON
PYFLAKES=flake8
export PYFLAKES
VIRTUAL_ENV=./.tox/py27
SOURCES=src/allmydata static misc setup.py
APPNAME=tahoe-lafs
TEST_SUITE=allmydata


# Top-level, phony targets

.PHONY: default
default:
	@echo "no default target"

.PHONY: test
## Run all tests and code reports
test: .tox/create-venvs.log
# Run codechecks first since it takes the least time to report issues early.
	tox --develop -e codechecks
# Run all the test environments in parallel to reduce run-time
	tox --develop -p auto -e 'py27,py36,pypy27'
.PHONY: test-venv-coverage
## Run all tests with coverage collection and reporting.
test-venv-coverage:
# Special handling for reporting coverage even when the test run fails
	rm -f ./.coverage.*
	test_exit=
	$(VIRTUAL_ENV)/bin/coverage run -m twisted.trial --rterrors --reporter=timing \
		$(TEST_SUITE) || test_exit="$$?"
	$(VIRTUAL_ENV)/bin/coverage combine
	$(VIRTUAL_ENV)/bin/coverage xml || true
	$(VIRTUAL_ENV)/bin/coverage report
	if [ ! -z "$$test_exit" ]; then exit "$$test_exit"; fi
.PHONY: test-py3-all
## Run all tests under Python 3
test-py3-all: .tox/create-venvs.log
	tox --develop -e py36 allmydata

# This is necessary only if you want to automatically produce a new
# _version.py file from the current git history (without doing a build).
.PHONY: make-version
make-version:
	$(PYTHON) ./setup.py update_version

# Build OS X pkg packages.
.PHONY: build-osx-pkg
build-osx-pkg:
	misc/build_helpers/build-osx-pkg.sh $(APPNAME)

.PHONY: test-osx-pkg
test-osx-pkg:
	$(PYTHON) misc/build_helpers/test-osx-pkg.py

.PHONY: upload-osx-pkg
upload-osx-pkg:
	# [Failure instance: Traceback: <class 'OpenSSL.SSL.Error'>: [('SSL routines', 'ssl3_read_bytes', 'tlsv1 alert unknown ca'), ('SSL routines', 'ssl3_write_bytes', 'ssl handshake failure')]
	#
	# @echo "uploading to ~tahoe-tarballs/OS-X-packages/ via flappserver"
	# @if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then \
	#   flappclient --furlfile ~/.tahoe-osx-pkg-upload.furl upload-file tahoe-lafs-*-osx.pkg; \
	#  else \
	#   echo not uploading tahoe-lafs-osx-pkg because this is not trunk but is branch \"${BB_BRANCH}\" ; \
	# fi

.PHONY: code-checks
#code-checks: build version-and-path check-interfaces check-miscaptures -find-trailing-spaces -check-umids pyflakes
code-checks: check-interfaces check-debugging check-miscaptures -find-trailing-spaces -check-umids pyflakes

.PHONY: check-interfaces
check-interfaces:
	$(PYTHON) misc/coding_tools/check-interfaces.py 2>&1 |tee violations.txt
	@echo

.PHONY: check-debugging
check-debugging:
	$(PYTHON) misc/coding_tools/check-debugging.py
	@echo

.PHONY: check-miscaptures
check-miscaptures:
	$(PYTHON) misc/coding_tools/check-miscaptures.py $(SOURCES) 2>&1 |tee miscaptures.txt
	@echo

.PHONY: pyflakes
pyflakes:
	$(PYFLAKES) $(SOURCES) |sort |uniq
	@echo

.PHONY: check-umids
check-umids:
	$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: -check-umids
-check-umids:
	-$(PYTHON) misc/coding_tools/check-umids.py `find $(SOURCES) -name '*.py' -not -name 'old.py'`
	@echo

.PHONY: doc-checks
doc-checks: check-rst

.PHONY: check-rst
check-rst:
	@for x in `find *.rst docs -name "*.rst"`; do rst2html -v $${x} >/dev/null; done 2>&1 |grep -v 'Duplicate implicit target name:'
	@echo

.PHONY: count-lines
count-lines:
	@echo -n "files: "
	@find src -name '*.py' |grep -v /build/ |wc -l
	@echo -n "lines: "
	@cat `find src -name '*.py' |grep -v /build/` |wc -l
	@echo -n "TODO: "
	@grep TODO `find src -name '*.py' |grep -v /build/` | wc -l
	@echo -n "XXX: "
	@grep XXX `find src -name '*.py' |grep -v /build/` | wc -l


# Here is a list of testing tools that can be run with 'python' from a
# virtualenv in which Tahoe has been installed. There used to be Makefile
# targets for each, but the exact path to a suitable python is now up to the
# developer. But as a hint, after running 'tox', ./.tox/py27/bin/python will
# probably work.

# src/allmydata/test/bench_dirnode.py


# The check-grid target also uses a pre-established client node, along with a
# long-term directory that contains some well-known files. See the docstring
# in src/allmydata/test/check_grid.py to see how to set this up.
##.PHONY: check-grid
##check-grid: .built
##	if [ -z '$(TESTCLIENTDIR)' ]; then exit 1; fi
##	$(TAHOE) @src/allmydata/test/check_grid.py $(TESTCLIENTDIR) bin/tahoe

.PHONY: test-get-ignore
test-git-ignore:
	$(MAKE)
	$(PYTHON) misc/build_helpers/test-git-ignore.py

.PHONY: test-clean
test-clean:
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.old
	$(MAKE)
	$(MAKE) distclean
	find . |grep -vEe "allfiles.tmp|src/allmydata/_(version|appname).py" |sort >allfiles.tmp.new
	diff allfiles.tmp.old allfiles.tmp.new

# It would be nice if 'make clean' deleted any automatically-generated
# _version.py too, so that 'make clean; make all' could be useable as a
# "what the heck is going on, get me back to a clean state', but we need
# 'make clean' to work on non-checkout trees without destroying useful information.
# Use 'make distclean' instead to delete all generated files.
.PHONY: clean
clean:
	rm -rf build _trial_temp .built
	rm -f `find src *.egg -name '*.so' -or -name '*.pyc'`
	rm -rf support dist
	rm -rf `ls -d *.egg | grep -vEe"setuptools-|setuptools_darcs-|darcsver-"`
	rm -rf *.pyc
	rm -f *.pkg

.PHONY: distclean
distclean: clean
	rm -rf src/*.egg-info
	rm -f src/allmydata/_version.py
	rm -f src/allmydata/_appname.py
	rm -rf ./.tox/


.PHONY: find-trailing-spaces
find-trailing-spaces:
	$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: -find-trailing-spaces
-find-trailing-spaces:
	-$(PYTHON) misc/coding_tools/find-trailing-spaces.py -r $(SOURCES)
	@echo

.PHONY: fetch-and-unpack-deps
fetch-and-unpack-deps:
	@echo "test-and-unpack-deps is obsolete"

.PHONY: test-desert-island
test-desert-island:
	@echo "test-desert-island is obsolete"

.PHONY: test-pip-install
test-pip-install:
	@echo "test-pip-install is obsolete"

# TARBALL GENERATION
.PHONY: tarballs
tarballs: # delegated to tox, so setup.py can update setuptools if needed
	tox -e tarballs

.PHONY: upload-tarballs
upload-tarballs:
	@if [ "X${BB_BRANCH}" = "Xmaster" ] || [ "X${BB_BRANCH}" = "X" ]; then for f in dist/*; do flappclient --furlfile ~/.tahoe-tarball-upload.furl upload-file $$f; done ; else echo not uploading tarballs because this is not trunk but is branch \"${BB_BRANCH}\" ; fi


# Real targets

src/allmydata/_version.py:
	$(MAKE) make-version

.tox/create-venvs.log: tox.ini setup.py
	tox --notest -p all | tee -a "$(@)"

=== docs/specifications/Makefile ===
SOURCES = CHK-hashes.svg file-encoding1.svg file-encoding2.svg \
	file-encoding3.svg file-encoding4.svg file-encoding5.svg \
	file-encoding6.svg

PNGS = $(patsubst %.svg,%.png,$(SOURCES))
EPSS = $(patsubst %.svg,%.eps,$(SOURCES))

.PHONY: images-png images-eps
all: $(PNGS) $(EPSS)
images-png: $(PNGS)
images-eps: $(EPSS)

%.png: %.svg
	inkscape -b white -d 90 -D --export-png $@ $<
%.eps: %.svg
	inkscape --export-eps $@ $<

clean:
	rm -f *.png *.eps

=== misc/python3/Makefile ===
# Python 3 porting targets
#
# NOTE: this Makefile requires GNU make

### Defensive settings for make:
#     https://tech.davis-hansson.com/p/make/
SHELL := bash
.ONESHELL:
.SHELLFLAGS := -xeu -o pipefail -c
.SILENT:
.DELETE_ON_ERROR:
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --no-builtin-rules


# Top-level, phony targets

.PHONY: default
default:
	@echo "no default target"

.PHONY: test-py3-all-before
## Log the output of running all tests under Python 3 before changes
test-py3-all-before: ../../.tox/make-test-py3-all-old.log
.PHONY: test-py3-all-diff
## Compare the output of running all tests under Python 3 after changes
test-py3-all-diff: ../../.tox/make-test-py3-all.diff


# Real targets

# Gauge the impact of changes on Python 3 compatibility
# Compare the output from running all tests under Python 3 before and after changes.
# Before changes:
# `$ rm -f .tox/make-test-py3-all-*.log && make .tox/make-test-py3-all-old.log`
# After changes:
# `$ make .tox/make-test-py3-all.diff`
$(foreach side,old new,../../.tox/make-test-py3-all-$(side).log):
	cd "../../"
	tox --develop --notest -e py36-coverage
	(make VIRTUAL_ENV=./.tox/py36-coverage TEST_SUITE=allmydata \
		test-venv-coverage || true) | \
		sed -E 's/\([0-9]+\.[0-9]{3} secs\)/(#.### secs)/' | \
		tee "./misc/python3/$(@)"
../../.tox/make-test-py3-all.diff: ../../.tox/make-test-py3-all-new.log
	(diff -u "$(<:%-new.log=%-old.log)" "$(<)" || true) | tee "$(@)"

# Locate modules that are candidates for naively converting `unicode` -> `str`.
# List all Python source files that reference `unicode` but don't reference `str`
../../.tox/py3-unicode-no-str.ls:
	cd "../../"
	find src -type f -iname '*.py' -exec grep -l -E '\Wunicode\W' '{}' ';' | \
		xargs grep -L '\Wstr\W' | xargs ls -ld | tee "./misc/python3/$(@)"

=== debian/changelog ===
tahoe-lafs (1.17.0-1) unstable; urgency=medium

  * Initial release. (Closes: #995352)

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Oct 2023 10:34:19 -0400

=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 magic-wormhole <!nocheck>,
 python3-all,
 python3-autobahn <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-cbor2 <!nocheck>,
 python3-collections-extended <!nocheck>,
 python3-eliot <!nocheck>,
 python3-exceptiongroup <!nocheck>,
 python3-foolscap <!nocheck>,
 python3-future <!nocheck>,
 python3-html5lib <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-klein <!nocheck>,
 python3-mock <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pyutil <!nocheck>,
 python3-setuptools,
 python3-tenacity <!nocheck>,
 python3-testtools <!nocheck>,
 python3-treq <!nocheck>,
 python3-txi2p-tahoe <!nocheck>,
 python3-txtorcon <!nocheck>,
 python3-yaml <!nocheck>,
 python3-zfec <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://www.tahoe-lafs.org
Vcs-Browser: https://salsa.debian.org/merkys/tahoe-lafs
Vcs-Git: https://salsa.debian.org/merkys/tahoe-lafs.git

Package: tahoe-lafs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tahoe Least-Authority File Store
 Tahoe Least-Authority File Store is the first free software/open-source storage
 technology that distributes data across multiple servers. Even if some servers
 fail or are taken over by an attacker, the entire file store continues to
 function correctly, preserving privacy and security.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = tahoe-lafs
export PYBUILD_TEST_ARGS = -k 'not test_versions and not testing_tub'

%:
	dh $@ --buildsystem pybuild

execute_before_dh_auto_configure:
	echo verstr = \"$(DEB_VERSION_UPSTREAM)\" > debian/version

execute_before_dh_auto_build:
	python3 setup.py update_version

execute_after_dh_auto_test:
	find .pybuild/*/build -mindepth 1 -maxdepth 1 ! -name allmydata | xargs rm -rf

=== debian/watch ===
version=4
https://www.tahoe-lafs.org/downloads/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## tahoe-lafs 1.20.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export PYTHON
 PYFLAKES=flake8
 export PYFLAKES
-VIRTUAL_ENV=./.tox/py27
+VIRTUAL_ENV=./.tox/py37
 SOURCES=src/allmydata static misc setup.py
 APPNAME=tahoe-lafs
 TEST_SUITE=allmydata
@@ -35,7 +35,7 @@
 # Run codechecks first since it takes the least time to report issues early.
 	tox --develop -e codechecks
 # Run all the test environments in parallel to reduce run-time
-	tox --develop -p auto -e 'py27,py36,pypy27'
+	tox --develop -p auto -e 'py37'
 .PHONY: test-venv-coverage
 ## Run all tests with coverage collection and reporting.
 test-venv-coverage:
@@ -51,7 +51,7 @@
 .PHONY: test-py3-all
 ## Run all tests under Python 3
 test-py3-all: .tox/create-venvs.log
-	tox --develop -e py36 allmydata
+	tox --develop -e py37 allmydata
 
 # This is necessary only if you want to automatically produce a new
 # _version.py file from the current git history (without doing a build).
@@ -136,7 +136,7 @@
 # Here is a list of testing tools that can be run with 'python' from a
 # virtualenv in which Tahoe has been installed. There used to be Makefile
 # targets for each, but the exact path to a suitable python is now up to the
-# developer. But as a hint, after running 'tox', ./.tox/py27/bin/python will
+# developer. But as a hint, after running 'tox', ./.tox/py37/bin/python will
 # probably work.
 
 # src/allmydata/test/bench_dirnode.py
@@ -224,3 +224,62 @@
 
 .tox/create-venvs.log: tox.ini setup.py
 	tox --notest -p all | tee -a "$(@)"
+
+
+# to make a new release:
+# - create a ticket for the release in Trac
+# - ensure local copy is up-to-date
+# - create a branch like "XXXX.release" from up-to-date master
+# - in the branch, run "make release"
+# - run "make release-test"
+# - perform any other sanity-checks on the release
+# - run "make release-upload"
+# Note that several commands below hard-code "meejah"; if you are
+# someone else please adjust them.
+release:
+	@echo "Is checkout clean?"
+	git diff-files --quiet
+	git diff-index --quiet --cached HEAD --
+
+	@echo "Clean docs build area"
+	rm -rf docs/_build/
+
+	@echo "Install required build software"
+	python3 -m pip install --editable .[build]
+
+	@echo "Test README"
+	python3 setup.py check -r -s
+
+	@echo "Update NEWS"
+	python3 -m towncrier build --yes --version `python3 misc/build_helpers/update-version.py --no-tag`
+	git add -u
+	git commit -m "update NEWS for release"
+
+# note that this always bumps the "middle" number, e.g. from 1.17.1 -> 1.18.0
+# and produces a tag into the Git repository
+	@echo "Bump version and create tag"
+	python3 misc/build_helpers/update-version.py
+
+	@echo "Build and sign wheel"
+	python3 setup.py bdist_wheel
+	gpg --pinentry=loopback -u meejah@meejah.ca --armor --detach-sign dist/tahoe_lafs-`git describe | cut -b 12-`-py3-none-any.whl
+	ls dist/*`git describe | cut -b 12-`*
+
+	@echo "Build and sign source-dist"
+	python3 setup.py sdist
+	gpg --pinentry=loopback -u meejah@meejah.ca --armor --detach-sign dist/tahoe-lafs-`git describe | cut -b 12-`.tar.gz
+	ls dist/*`git describe | cut -b 12-`*
+
+# basically just a bare-minimum smoke-test that it installs and runs
+release-test:
+	gpg --verify dist/tahoe-lafs-`git describe | cut -b 12-`.tar.gz.asc
+	gpg --verify dist/tahoe_lafs-`git describe | cut -b 12-`-py3-none-any.whl.asc
+	virtualenv testmf_venv
+	testmf_venv/bin/pip install dist/tahoe_lafs-`git describe | cut -b 12-`-py3-none-any.whl
+	testmf_venv/bin/tahoe --version
+	rm -rf testmf_venv
+
+release-upload:
+	scp dist/*`git describe | cut -b 12-`* meejah@tahoe-lafs.org:/home/source/downloads
+	git push origin_push tahoe-lafs-`git describe | cut -b 12-`
+	twine upload dist/tahoe_lafs-`git describe | cut -b 12-`-py3-none-any.whl dist/tahoe_lafs-`git describe | cut -b 12-`-py3-none-any.whl.asc dist/tahoe-lafs-`git describe | cut -b 12-`.tar.gz dist/tahoe-lafs-`git describe | cut -b 12-`.tar.gz.asc

=== docs/Makefile ===
--- 
+++ 
@@ -214,3 +214,7 @@
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
+
+.PHONY: livehtml
+livehtml:
+	sphinx-autobuild -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== docs/requirements.txt ===
sphinx
docutils<0.18  # https://github.com/sphinx-doc/sphinx/issues/9788
recommonmark
sphinx_rtd_theme

=== debian/changelog ===
tahoe-lafs (1.20.0-7) unstable; urgency=medium

  [ Elena Grandi ]
  * Backport Amend TestStreamingLogs to work with Twisted 25.5.0
    (Closes: #1117435)
  * Explicitely add missing dependencies (Closes: #1117435)

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Nov 2025 02:41:52 -0500

tahoe-lafs (1.20.0-6) unstable; urgency=medium

  * Backport a PR adjusting manpages.

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 May 2025 04:15:21 -0400

tahoe-lafs (1.20.0-5) unstable; urgency=medium

  * Limit building to 64bit architectures (Closes: #1103096)

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Apr 2025 08:39:41 -0400

tahoe-lafs (1.20.0-4) unstable; urgency=medium

  * Tests depend on python3-fixtures (Closes: #1099293)

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Mar 2025 10:05:59 -0500

tahoe-lafs (1.20.0-3) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS (Closes: #1098632)
  * Install the manpage for tahoe.

 -- Andrius Merkys <merkys@debian.org>  Wed, 26 Feb 2025 02:33:03 -0500

tahoe-lafs (1.20.0-2) unstable; urgency=medium

  * Drop superfluous dependency on python3-mock (Closes: #1092271).
  * Backport upstream PR to fix SyntaxWarnings when installing the package.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Jan 2025 06:28:20 -0500

tahoe-lafs (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0 (Closes: #1079794, #1083794)
  * Backport upstream PRs to remove the usage of python3-future
    (Closes: #1063827)
  * Tests depend on python3-legacy-cgi (Closes: #1084658)
  * Drop 'Testsuite: autopkgtest-pkg-pybuild' due to failures because of
    relative imports.

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Jan 2025 03:43:39 -0500

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Andrius Merkys <merkys@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
+ architecture-is-64-bit,
  debhelper-compat (= 13),
  dh-sequence-python3,
  magic-wormhole <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-autobahn <!nocheck>,
  python3-bs4 <!nocheck>,
@@ -14,14 +16,18 @@
  python3-collections-extended <!nocheck>,
  python3-eliot <!nocheck>,
  python3-exceptiongroup <!nocheck>,
+ python3-filelock <!nocheck>,
+ python3-fixtures <!nocheck>,
  python3-foolscap <!nocheck>,
- python3-future <!nocheck>,
+ python3-hatch-vcs,
  python3-html5lib <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-klein <!nocheck>,
- python3-mock <!nocheck>,
+ python3-legacy-cgi <!nocheck>,
  python3-netifaces <!nocheck>,
  python3-prometheus-client <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pycddl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pyutil <!nocheck>,
  python3-setuptools,
@@ -32,7 +38,6 @@
  python3-txtorcon <!nocheck>,
  python3-yaml <!nocheck>,
  python3-zfec <!nocheck>,
-Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://www.tahoe-lafs.org
 Vcs-Browser: https://salsa.debian.org/merkys/tahoe-lafs
@@ -43,6 +48,23 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-cbor2,
+ python3-collections-extended,
+ python3-eliot,
+ python3-filelock,
+ python3-foolscap,
+ python3-klein,
+ python3-legacy-cgi,
+ python3-nacl,
+ python3-netifaces,
+ python3-psutil,
+ python3-pycddl,
+ python3-pyutil,
+ python3-treq,
+ python3-twisted,
+ python3-wormhole,
+ python3-yaml,
+ python3-zfec,
 Description: Tahoe Least-Authority File Store
  Tahoe Least-Authority File Store is the first free software/open-source storage
  technology that distributes data across multiple servers. Even if some servers

=== debian/watch ===
version=4
https://www.tahoe-lafs.org/downloads/ \
 tahoe[-_]lafs-@ANY_VERSION@@ARCHIVE_EXT@
